<template>
	<div style="width: 100%;">

		<div class="shop_item">
			<div class="shop_title" style="display: flex;margin: 20px 0;font-size: 20px;">
				<a href="#" @click="prev" style="text-decoration:none;font-size: 14px;">
					<icon-svg name="jiantou" style="width: 1.2em;height: 1.2em;position: relative;top: 0.3em;">
					</icon-svg>
					返回
				</a>
				<span style="display: inline-block;margin: 0 15px;color: #D9D9D9;">|</span>
				<span style="flex:1;">推送列表</span>
				<el-button style="margin-bottom: 20px;" size="mini" type="primary" @click="cancel">刷新
				</el-button>
				<el-button style="margin-bottom: 20px;" size="mini" type="primary" @click="tuisongBtn()">推送全部简历
				</el-button>
				<el-button style="margin-bottom: 20px;" size="mini" type="primary" @click="addBtn()">添加简历
				</el-button>
			</div>
			<div>
				
				<div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>姓名：</span>
						<el-input style="width: 200px;" @keydown.enter.native="phoneSelect" placeholder="请输入姓名"
							v-model="resumesName">
						</el-input>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>电话：</span>
						<el-input style="width: 200px;" @keydown.enter.native="phoneSelect" placeholder="请输入电话"
							v-model="resumesPhone">
						</el-input>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>学历：</span>
						<el-select v-model="resumesEducation" style="width:150px;margin-left: 10px;" @change="phoneSelect()">
							<el-option v-for="item in xlData" :key="item.value" :label="item.value" :value="item.value">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>专业：</span>
						<el-select v-model="resumesMajor" style="width:150px;margin-left: 10px;" @change="phoneSelect()">
							<el-option v-for="item in zyData" :key="item.value" :label="item.value" :value="item.value">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>工作经验：</span>
						<el-select v-model="resumesWorkExperience" style="width:150px;margin-left: 10px;" @change="phoneSelect()">
							<el-option v-for="item in gzjyData" :key="item.value" :label="item.value" :value="item.value">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>职位：</span>
						<el-select v-model="resumesPost" style="width:150px;margin-left: 10px;" @change="phoneSelect()">
							<el-option v-for="item in zwData" :key="item.ruleClassifyName" :label="item.ruleClassifyName" :value="item.ruleClassifyName">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>期望薪资：</span>
						<el-select v-model="resumesCompensation" style="width:150px;margin-left: 10px;" @change="phoneSelect()">
							<el-option v-for="item in qwxzData" :key="item.value" :label="item.value" :value="item.value">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>婚姻状态：</span>
						<el-select v-model="resumesMarriage" style="width:150px;margin-left: 10px;" @change="phoneSelect()">
							<el-option v-for="item in hyData" :key="item.value" :label="item.value" :value="item.value">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>年龄：</span>
						<el-input style="width: 200px;" @keydown.enter.native="phoneSelect" placeholder="请输入年龄" v-model="resumesAge">
						</el-input>&nbsp;&nbsp;
					</div>
					<el-button style="margin:10px;" size="mini" type="primary" icon="document" @click="phoneSelect">查询
					</el-button>
					<el-button style="margin:10px;" size="mini" type="primary" icon="document" @click="cleans2">重置
					</el-button>&nbsp;&nbsp;
				</div>
				<el-table v-loading="tableDataLoading" :data="tableData.list">
					<el-table-column prop="postDetailsId" label="编号" width="80" fixed="left">
					</el-table-column>
					<el-table-column prop="resumesName" label="姓名" width="100">
						<template slot-scope="scope">
							<span style="color: #4f9dec;cursor: pointer;"
								@click="updates(scope.row.resumes)">{{scope.row.resumes.resumesName ? scope.row.resumes.resumesName : '未绑定'}}</span>
						</template>
					</el-table-column>
					<el-table-column prop="resumesPhone" label="电话" width="150">
						<template slot-scope="scope">
							<span>{{scope.row.resumes.resumesPhone }}</span>
						</template>
					</el-table-column>
					<el-table-column prop="resumes.resumesMajor" label="专业">
					</el-table-column>
					<el-table-column prop="resumes.resumesEducation" label="学历">
					</el-table-column>
					<el-table-column prop="resumes.resumesAge" label="年龄">
					</el-table-column>
					<el-table-column prop="resumes.resumesMarriage" label="婚姻状态">
					</el-table-column>
					<el-table-column prop="resumes.resumesWorkExperience" label="工作经验" width="160">
					</el-table-column>
					<el-table-column prop="resumes.resumesPost" label="职位">
					</el-table-column>
					<el-table-column prop="resumesImage" label="资质证书" width="150">
						<template slot-scope="scope">
							<div style="display:flex;flex-wrap: wrap;">
								<div v-for="(item,index) in scope.row.resumes.resumesImage.split(',')" :key="index">
									<el-popover placement="top-start" title="" trigger="hover">
										<img style="width: 50px; height: 50px" :src="item" alt="" slot="reference">
										<img style="width: 200px; height: 200px" :src="item" alt="">
									</el-popover>
								</div>
							</div>
						</template>
					</el-table-column>
					<el-table-column prop="resumes.resumesEmail" label="邮箱" width="160">
					</el-table-column>
					<el-table-column prop="resumes.resumesCompensation" label="期望薪资" width="160">
					</el-table-column>
					<el-table-column prop="money" label="核定薪资" width="160">
					</el-table-column>
					<el-table-column prop="resumes.resumesDetails" label="自我介绍" width="160">
					</el-table-column>
					<el-table-column prop="isOk" label="用户是否确认查看" width="80" fixed="right">
						<template slot-scope="scope">
							<span style="color: #4f9dec;" v-if="scope.row.isOk == 1 ">是</span>
							<span style="color: red;" v-else>否</span>
						</template>
					</el-table-column>
					<el-table-column prop="resumes.status" label="状态" width="80" fixed="right">
						<template slot-scope="scope">
							<span style="color: #4f9dec;" v-if="scope.row.status === 1 ">待推送</span>
							<span style="color: red;" v-if="scope.row.status === 2 ">已推送</span>
							<span style="color: #999;" v-if="scope.row.status === 3 ">未完成</span>
						</template>
					</el-table-column>
					<el-table-column prop="resumes.createTime" label="创建时间" width="160">
					</el-table-column>
					<el-table-column label="操作" prop="id" width="120" fixed='right' align="center">
						<template slot-scope="scope">
							<el-button size="mini" type="danger" :disabled="!isAuth('locality:delete')"
								@click="choidelete(scope.row)">移除简历
							</el-button>
							<el-button size="mini" type="primary" @click="phoneClicks(scope.row.resumes)" style="margin: 5px;">
								查看电话
							</el-button>
							<el-button size="mini" type="warning" @click="tuisongBtnOne(scope.row)" style="margin: 5px;">推送简历
							</el-button>
						</template>
					</el-table-column>
				</el-table>
				<div style="text-align: center;margin-top: 10px;">
					<el-pagination @size-change="handleSizeChange" @current-change="handleCurrentChange"
						:page-sizes="[10, 20, 30, 40]" :page-size="limit" :current-page="page"
						layout="total,sizes, prev, pager, next,jumper" :total="tableData.totalCount">
					</el-pagination>
				</div>
			</div>
			<!-- 用户列表 -->
			<el-dialog title="人才库列表" :visible.sync="dialogVisible" width="70%" center>
				<div style="display: inline-block;">
					
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>姓名：</span>
						<el-input style="width: 200px;" @keydown.enter.native="select" placeholder="请输入姓名" v-model="userName">
						</el-input>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>电话：</span>
						<el-input style="width: 200px;" @keydown.enter.native="select" placeholder="请输入电话" v-model="resumesPhoneT">
						</el-input>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>专业：</span>
						<el-input style="width: 200px;" @keydown.enter.native="select" placeholder="请输入专业" v-model="resumesMajorT">
						</el-input>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>职位：</span>
						<el-input style="width: 200px;" @keydown.enter.native="select" placeholder="请输入职位" v-model="resumesPostT">
						</el-input>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>工作经验：</span>
						<el-input style="width: 200px;" @keydown.enter.native="select" placeholder="请输入工作经验" v-model="resumesWorkExperienceT">
						</el-input>&nbsp;&nbsp;
					</div>
					<el-button style='margin-left:15px;' size="mini" type="primary" icon="document" @click="select">查询
					</el-button>
					<el-button style='margin-left:15px;' size="mini" type="primary" icon="document" @click="cleans">重置
					</el-button>
				</div>
				<el-table v-loading="tableDataLoading1" :data="tableDataJl.list">
					<el-table-column prop="resumesId" label="编号" width="80">
					</el-table-column>
					<el-table-column prop="userName" label="用户昵称" width="100">
						<template slot-scope="scope">
							<span style="color: #4f9dec;cursor: pointer;"
								@click="updates(scope.row)">{{scope.row.userName ? scope.row.userName : '未绑定'}}</span>
						</template>
					</el-table-column>
					<el-table-column prop="resumesName" label="姓名" width="100">
						<template slot-scope="scope">
							<span style="color: #4f9dec;cursor: pointer;"
								@click="updates(scope.row)">{{scope.row.resumesName ? scope.row.resumesName : '未绑定'}}</span>
						</template>
					</el-table-column>
					<el-table-column prop="resumesPhone" label="电话" width="150">
						<template slot-scope="scope">
							<span>{{scope.row.resumesPhone }}</span>
						</template>
					</el-table-column>
					<el-table-column prop="resumesMajor" label="专业">
					</el-table-column>
					<el-table-column prop="resumesEducation" label="学历">
					</el-table-column>
					<el-table-column prop="resumesAge" label="年龄">
					</el-table-column>
					<el-table-column prop="resumesMarriage" label="婚姻状态">
					</el-table-column>
					<el-table-column prop="resumesWorkExperience" label="工作经验" width="160">
					</el-table-column>
					<el-table-column prop="resumesPost" label="职位">
					</el-table-column>
					<el-table-column prop="resumesImage" label="资质证书" width="150">
						<template slot-scope="scope">
							<div style="display:flex;flex-wrap: wrap;">
								<div v-for="(item,index) in scope.row.resumesImage.split(',')" :key="index">
									<el-popover placement="top-start" title="" trigger="hover">
										<img style="width: 50px; height: 50px" :src="item" alt="" slot="reference">
										<img style="width: 200px; height: 200px" :src="item" alt="">
									</el-popover>
								</div>
							</div>
						</template>
					</el-table-column>
					<el-table-column prop="resumesEmail" label="邮箱" width="160">
					</el-table-column>
					<!-- <el-table-column prop="address" label="简历" width="160">
					</el-table-column> -->
					<el-table-column prop="resumesCompensation" label="期望薪资" width="160">
					</el-table-column>
					<el-table-column prop="money" label="核定薪资" width="160">
					</el-table-column>
					<el-table-column prop="resumesDetails" label="自我介绍" width="160">
					</el-table-column>
					<el-table-column prop="auditContent" label="审核内容" width="160">
					</el-table-column>
					<el-table-column prop="createTime" label="创建时间" width="160">
					</el-table-column>
					<!-- <el-table-column fixed='right' prop="status" label="状态" width="100">
						<template slot-scope="scope">
							<span v-if="scope.row.status == 1">待审核</span>
							<span v-if="scope.row.status == 2">审核成功</span>
							<span v-if="scope.row.status == 3">已拒绝</span>
						</template>
					</el-table-column> -->
					<el-table-column fixed='right' label="操作" width="160">
						<template slot-scope="scope">
							<!-- <el-button size="mini" type="primary" @click="delClicks(scope.row)" style="margin: 5px;">
								简历详情
							</el-button> -->
							<el-button size="mini" type="primary" @click="qdClicks(scope.row)" style="margin: 5px;">
								添加到推送列表
							</el-button>
							<el-button size="mini" type="primary" @click="phoneClicks(scope.row)" style="margin: 5px;">
								查看电话
							</el-button>
						</template>
					</el-table-column>
				</el-table>
				<div style="text-align: center;margin-top: 10px;">
					<el-pagination @size-change="handleSizeChangeJl" @current-change="handleCurrentChangeJl"
						:page-sizes="[10, 20, 30, 40]" :page-size="limit1" :current-page="page1"
						layout="total,sizes, prev, pager, next,jumper" :total="tableDataJl.totalCount">
					</el-pagination>
				</div>
			</el-dialog>
			<!-- 电话弹框  -->
			<el-dialog title="电话" :visible.sync="dialogFormVisiblePh" center>
				<div>
					<el-row>
						<el-col :span="12" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">姓名</div>
									<div class="text_color">{{resumesNameP}}</div>
								</div>
							</div>
						</el-col>
						<el-col :span="12" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">电话</div>
									<div class="text_color">{{resumesPhoneP}}</div>
								</div>
							</div>
						</el-col>
					</el-row>
				</div>
			</el-dialog>

		</div>
		
	</div>
</template>

<script>
	export default {
		data() {
			return {
				tableData: {},
				postDetailsId:'',
				page:1,
				limit:10,
				resumesName:'',
				resumesPhone:'',
				resumesEducation:'',
				resumesMajor:'',
				resumesWorkExperience:'',
				resumesPost:'',
				resumesCompensation:'',
				resumesMarriage:'',
				tableDataLoading:false,
				tableDataLoading1:false,
				dialogVisible:false,
				tableDataJl:{},
				page1:1,
				limit1:10,
				
				userName:'',
				resumesPhoneT:'',
				resumesMajorT:'',
				resumesPostT:'',
				resumesWorkExperienceT:'',
				resumesAge:'',
				zyData:[],
				zwData:[],
				gzjyData:[],
				xlData:[],
				hyData:[],
				qwxzData:[],
				dialogFormVisiblePh: false,
				resumesNameP:'',
				resumesPhoneP:'',
			}
		},
		methods: {

			// 取消
			cancel() {
				this.dataSelect()
			},
			handleSizeChange(val) {
				this.limit = val;
				this.dataSelect()
			},
			handleCurrentChange(val) {
				this.page = val;
				this.dataSelect()
			},
			handleSizeChangeJl(val) {
				this.limit1 = val;
				this.dataSelectJl()
			},
			handleCurrentChangeJl(val) {
				this.page1 = val;
				this.dataSelectJl()
			},
			phoneSelect(){
				this.page = 1
				this.dataSelect()
			},
			cleans2(){
				this.page = 1
				this.resumesName = ''
				this.resumesPhone = ''
				this.resumesEducation = ''
				this.resumesMajor = ''
				this.resumesWorkExperience = ''
				this.resumesPost = ''
				this.resumesCompensation = ''
				this.resumesMarriage = ''
				this.resumesAge = ''
				this.dataSelect()
			},
			// 获取详情数据
			dataSelect() {
				
				let postPushId = this.$route.query.postPushId
				let postDetailsId = this.$route.query.postDetailsId
				this.tableDataLoading = true
				this.$http({
					url: this.$http.adornUrl('postPush/selectResumesPushList'),
					method: 'get',
					params: this.$http.adornParams({
						'postPushId': postPushId,
						'postDetailsId':postDetailsId,
						'page':this.page,
						'limit':this.limit,
						'resumesName':this.resumesName,
						'resumesPhone':this.resumesPhone,
						'classify':2,
						'resumesMarriage':this.resumesMarriage,
						'resumesMajor':this.resumesMajor,
						'resumesPost':this.resumesPost,
						'resumesWorkExperience':this.resumesWorkExperience,
						'resumesCompensation':this.resumesCompensation,
						'resumesAge':this.resumesAge,
						'resumesEducation':this.resumesEducation,
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					let returnData = data.data;
					this.tableData = returnData
				})
			},
			// 返回上一级
			prev() {
				this.$router.back()
			},
			// 推送列表
			plCompile(row) {
				this.postDetailsId = row.postDetailsId
				
				this.$router.push({
					path: '/propellingList',
					query: {
						postDetailsId: row.postDetailsId
					}
				})
			},
			// 报名列表
			plCompileB(row){
				this.postDetailsId = row.postDetailsId
				this.$router.push({
					path: '/registrationList',
					query: {
						postDetailsId: row.postDetailsId
					}
				})
			},
			tuisongBtn(){
				let postDetailsId = this.$route.query.postDetailsId
				this.$confirm(`确定要推送简历?`, '提示', {
					confirmButtonText: '确定',
					cancelButtonText: '取消',
					type: 'warning'
				}).then(() => {
					this.$http({
						url: this.$http.adornUrl('postPush/sendResumes'),
						method: 'post',
						params: this.$http.adornParams({
							'postDetailsId': postDetailsId
						})
					}).then(({
						data
					}) => {
						if(data.code==0){
							this.$message({
								message: '操作成功',
								type: 'success',
								duration: 1500,
								onClose: () => {
									this.dataSelect()
								}
							})
						}else{
							this.$message({
								message: data.msg,
								type: 'warning',
								duration: 1500,
								onClose: () => {
								}
							})
						}
						
					})
				}).catch(() => {})
			},
			// 推送单个简历
			tuisongBtnOne(row){
				this.$confirm(`确定要推送简历?`, '提示', {
					confirmButtonText: '确定',
					cancelButtonText: '取消',
					type: 'warning'
				}).then(() => {
					this.$http({
						url: this.$http.adornUrl('/postPush/sendResumesByResumesPushId'),
						method: 'post',
						params: this.$http.adornParams({
							'resumesPushId': row.resumesPushId
						})
					}).then(({
						data
					}) => {
						if(data.code==0){
							this.$message({
								message: '操作成功',
								type: 'success',
								duration: 1500,
								onClose: () => {
									this.dataSelect()
								}
							})
						}else{
							this.$message({
								message: data.msg,
								type: 'warning',
								duration: 1500,
								onClose: () => {
								}
							})
						}
						
					})
				}).catch(() => {})
			},
			// 删除信息
			choidelete(row) {
				this.$confirm(`确定删除此条信息?`, '提示', {
					confirmButtonText: '确定',
					cancelButtonText: '取消',
					type: 'warning'
				}).then(() => {
					this.$http({
						url: this.$http.adornUrl('postPush/cleanResumesPush'),
						method: 'post',
						params: this.$http.adornParams({
							'resumesPushId':row.resumesPushId
						})
					}).then(({
						data
					}) => {
						if(data.code==0){
							this.$message({
								message: '删除成功',
								type: 'success',
								duration: 1500,
								onClose: () => {
									this.dataSelect()
								}
							})
						}else{
							this.$message({
								message: data.msg,
								type: 'warning',
								duration: 1500,
								onClose: () => {
								}
							})
						}
						
					})
				}).catch(() => {})
			},
			// 添加
			addBtn(){
				this.dataSelectJl()
				this.dialogVisible = true
			},
			// 查询
			select() {
				this.page1 = 1
				this.limit1 = 10
				this.dataSelectJl()
			},
			// 重置
			cleans() {
				this.userName = ''
				this.resumesPhoneT = ''
				this.resumesMajorT = ''
				this.resumesPostT = ''
				this.resumesWorkExperienceT = ''
				this.dataSelectJl()
			},
			// 获取简历数据列表
			dataSelectJl() {
				this.tableDataLoading1 = true
				this.$http({
					url: this.$http.adornUrl('resumes/selectResumesList'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page1,
						'limit': this.limit1,
						'status': 2,
						'isRecommend':2,
						'resumesName': this.userName,
						'resumesPhone': this.resumesPhoneT,
						'resumesMajor':this.resumesMajorT,
						'resumesPost':this.resumesPostT,
						'resumesWorkExperience':this.resumesWorkExperienceT
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading1 = false
					// for (var i in data.data.list) {
					// 	if (data.data.list[i].addressImg) {
					// 		data.data.list[i].addressImg = data.data.list[i].addressImg.split(',')
					// 	}
					// }
					this.tableDataJl = data.data
				})
				// let returnData = data.data;
			},
			qdClicks(row){
				let postPushId = this.$route.query.postPushId
				let postDetailsId = this.$route.query.postDetailsId
				this.$http({
					url: this.$http.adornUrl('postPush/insertResumesPush'),
					method: 'post',
					data: this.$http.adornData({
						'postPushId': postPushId,
						'postDetailsId': postDetailsId,
						'classify': 2,
						'resumesId': row.resumesId
					})
				}).then(({
					data
				}) => {
					if(data.code==0){
						this.$message({
							message: '操作成功',
							type: 'success',
							duration: 1500,
							onClose: () => {
								this.dataSelect()
								this.dataSelectJl()
							}
						})
					}else{
						this.$message({
							message: data.msg,
							type: 'warning',
							duration: 1500,
							onClose: () => {
							}
						})
					}
				})
			},
			// 查看简历详情
			delClicks(row){
				this.$router.push({
					path: '/resumeDetails',
					query: {
						resumesId: row.resumesId
					}
				})
			},
			// 专业
			zySelect() {
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '专业'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.zyData = returnData
				})
			},
			// 职位
			zwSelect() {
				this.$http({
					url: this.$http.adornUrl('rule/selectRuleClassifyList'),
					method: 'get',
					params: this.$http.adornParams({
						'ruleClassifyName': '',
						'status':'',
						'page':1,
						'limit':1000
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.zwData = returnData.list
				})
			},
			// 工作经验
			gzjySelect() {
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '工作经验'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.gzjyData = returnData
				})
			},
			// 学历
			xlSelect() {
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '学历'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.xlData = returnData
				})
			},
			// 期望薪资
			qwxzSelect() {
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '薪资'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.qwxzData = returnData
				})
			},
			// 婚姻状态
			hySelect() {
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '婚姻状况'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.hyData = returnData
				})
			},
			// 查看电话
			phoneClicks(row){
				this.resumesPhoneP = row.resumesPhone
				this.resumesNameP = row.resumesName
				this.dialogFormVisiblePh = true
			},
		},
		mounted() {
			this.dataSelect()
			this.zySelect()
			this.gzjySelect()
			this.xlSelect()
			this.hySelect()
			this.qwxzSelect()
			this.zwSelect()
		},
		watch: {
		  '$route': 'dataSelect'
		}
	};
</script>

<style scoped="scoped">
	.box {
			padding: 44px;
			border: 1px solid #eee;
			margin: 15px 10px;
		}
	
		.box_num {
			font-size: 14px;
			color: #66b1ff;
		}
	
		.box_num .box_color {
			color: #333;
			font-size: 14px;
			margin-bottom: 15px;
		}
	
		.box_num div span {
			font-size: 20px;
			margin-left: 5px;
		}
	
		.text_color {
			color: #4f9dec;
		}
	
		.text_color span {
			margin-right: 5px;
		}
</style>
